Name:           perl-Archive-Tar
%if %{rhel} == 5
Epoch:          1
%endif
Version:        2.28
Release:        1%{?org_tag}%{?dist}
Summary:        Module for manipulations of tar archives
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Archive-Tar/
Source0:        http://localhost/cpan//authors/id/B/BI/BINGOS/Archive-Tar-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.00503
BuildRequires:  perl(Compress::Zlib) >= 2.015
BuildRequires:  perl(IO::Compress::Base) >= 2.015
BuildRequires:  perl(IO::Compress::Bzip2) >= 2.015
BuildRequires:  perl(IO::Compress::Gzip) >= 2.015
BuildRequires:  perl(IO::Zlib) >= 1.01
BuildRequires:  perl(Package::Constants)
Requires:       perl(Compress::Zlib) >= 2.015
Requires:       perl(IO::Compress::Base) >= 2.015
Requires:       perl(IO::Compress::Bzip2) >= 2.015
Requires:       perl(IO::Compress::Gzip) >= 2.015
Requires:       perl(IO::Zlib) >= 1.01
Requires:       perl(Package::Constants)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Archive::Tar provides an object oriented mechanism for handling tar files.
It provides class methods for quick and easy files handling while also
allowing for the creation of tar file objects for custom manipulation. If
you have the IO::Zlib module installed, Archive::Tar will also support
compressed or gzipped tar files.

%prep
%setup -q -n Archive-Tar-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES README
%{perl_vendorlib}/*
%{_bindir}/ptar*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Wed Jun 13 2018 Gavin Carr <gavin@openfusion.com.au> 2.28-1
- Update to version 2.28.

* Mon Oct 24 2011 Gavin Carr <gavin@openfusion.com.au> 1.68-1
- Bump epoch to 1 for compatibility with base.

* Thu Aug 26 2010 Gavin Carr <gavin@openfusion.com.au> 1.68-1
- Specfile autogenerated by cpanspec 1.78.
